import 'dart:convert';
import 'dart:io';

import 'package:http/http.dart' as http;

import '../models/secciones_model.dart';

class SeccionesProvider{
  final String _url = "smart.solerpalau.mx";

  Future<SeccionModel> fetchSecciones(String token, String idse) async{
    final url = Uri.https(_url, 'PR/api/v1/quiosco/secciones/$idse');
    final res = await http.get(url,
        headers: {
          HttpHeaders.authorizationHeader : "Bearer $token"
        }
    );
    final decodedData = jsonDecode(res.body);
    final seccion = SeccionModel.fromJson(decodedData);
    return seccion;
  }
}